#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.6
visibility:           public
id:                   foldl-1.4.6-5Jy9C6uaWE53Klq9pYpOe0
key:                  foldl-1.4.6-5Jy9C6uaWE53Klq9pYpOe0
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  9e0b9e8aa10d78dece844df2c248d26d
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.8.3/site-local/foldl-1.4.6
library-dirs:         /usr/lib/ghc-8.8.3/site-local/foldl-1.4.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/foldl-1.4.6
hs-libraries:         HSfoldl-1.4.6-5Jy9C6uaWE53Klq9pYpOe0
depends:
    base-4.13.0.0 bytestring-0.10.10.0
    comonad-5.0.6-J1GYwepYiMm1OqJKe3R0Ba containers-0.6.2.1
    contravariant-1.5.2-DwdzLJHM56h4vdKMLDlSPX
    hashable-1.3.0.0-GFyEr4gS8CZEgl3N6WrORB
    mwc-random-0.14.0.0-FYqnXSeGYk0Bh8qDwspwjw
    primitive-0.7.0.1-CN4ea3Jrhra6yENuqrDg51
    profunctors-5.5.2-7GgesUwgSrRH5sJDBToSc3
    semigroupoids-5.3.4-L1PWs9XOuEZ8G2rToTTcA2 text-1.2.4.0
    transformers-0.5.6.2
    unordered-containers-0.2.10.0-A1cNogzO5wQ33Xk0bjeyDo
    vector-0.12.1.2-C2W44iPdAFeHo4yLU081Gd
    vector-builder-0.3.8-3X2Je2mkBj0IpnxIY3yk0k

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

